# Interface TypeParameterDeclaration

All Superinterfaces:
  `Declaration`

public interface TypeParameterDeclaration extends Declaration
Represents a formal type parameter of a generic type, method, or constructor declaration. A type parameter declares a `TypeVariable`.

Since:
  1.5
Version:
  1.1 04/01/26
Author:
  Joseph D. Darcy, Scott Seligman

## Method Summary

Modifier and Type
Method
Description
`Collection<ReferenceType>`
`getBounds()`
Returns the bounds of this type parameter.
`Declaration`
`getOwner()`
Returns the type, method, or constructor declaration within which this type parameter is declared.

### Methods inherited from interface Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

## Method Details

### getBounds

Collection<ReferenceType> getBounds()
Returns the bounds of this type parameter. These are the types given by the extends clause. If there is no explicit extends clause, then `java.lang.Object` is considered to be the sole bound.

Returns:
  the bounds of this type parameter

### getOwner

Declaration getOwner()
Returns the type, method, or constructor declaration within which this type parameter is declared.

Returns:
  the declaration within which this type parameter is declared